> For the complete documentation index, see [llms.txt](https://docs.paynow.gg/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paynow.gg/storefront-headless/storefront-api/delivery.md).

# Delivery

## Get the customers delivery items

> Retrieves the current customers delivery items.

```json
{"openapi":"3.1.1","info":{"title":"PayNow Storefront (Headless) API","version":"v1"},"tags":[{"name":"delivery"}],"security":[{"Customer":[]}],"components":{"securitySchemes":{"Customer":{"type":"apiKey","description":"A Customer token generated using an API Key in the format 'Customer TOKEN_HERE'.","name":"Authorization","in":"header"}},"schemas":{"FlakeId":{"type":"string","additionalProperties":false,"format":"flake-id"},"StorefrontDeliveryItemDto":{"required":["added_at","customer_id","expirable","gift","id","product","state","store_id"],"type":"object","properties":{"id":{"$ref":"#/components/schemas/FlakeId"},"store_id":{"$ref":"#/components/schemas/FlakeId"},"customer_id":{"$ref":"#/components/schemas/FlakeId"},"order_id":{"$ref":"#/components/schemas/FlakeId"},"order_line_id":{"$ref":"#/components/schemas/FlakeId"},"subscription_id":{"$ref":"#/components/schemas/FlakeId"},"execute_on_gameserver_id":{"$ref":"#/components/schemas/FlakeId"},"quantity_index":{"type":["null","integer"],"description":"The index of the item when multiple quantities were assigned","format":"int32"},"product":{"$ref":"#/components/schemas/DeliveryItemProductDto"},"state":{"$ref":"#/components/schemas/DeliveryItemStateDto"},"expirable":{"type":"boolean","description":"Indicates whether the delivery item can expire"},"gift":{"type":"boolean","description":"Indicates whether the item was given as a gift"},"added_at":{"type":"string","description":"The date and time when the item was added","format":"date-time"},"active_at":{"type":["null","string"],"description":"The date and time when the item became active","format":"date-time"},"expires_at":{"type":["null","string"],"description":"The date and time when the item expires naturally","format":"date-time"},"override_expires_at":{"type":["null","string"],"description":"The override expiry date for the delivery item","format":"date-time"},"removed_at":{"type":["null","string"],"description":"The date and time when the item was removed","format":"date-time"},"revoked_at":{"type":["null","string"],"description":"The date and time when the item was revoked","format":"date-time"},"revoke_reason":{"type":["null","string"],"description":"The reason for revoking the delivery item"}},"additionalProperties":false,"description":"Represents a delivery item assigned to a customer"},"DeliveryItemProductDto":{"required":["id","name","slug","version_id"],"type":"object","properties":{"id":{"$ref":"#/components/schemas/FlakeId"},"name":{"type":"string","description":"The name of the product"},"slug":{"type":"string","description":"The URL-friendly slug of the product"},"version_id":{"type":"string","description":"The version identifier of the product"}},"additionalProperties":false,"description":"Represents the product information for a delivery item"},"DeliveryItemStateDto":{"enum":["usable","active","used","revoked","renewed"],"type":"string"},"PayNowError":{"required":["code","message","status"],"type":"object","properties":{"status":{"type":"integer","description":"The HTTP status code.","format":"int32"},"code":{"type":"string","description":"The PayNow parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"trace_id":{"type":["null","string"],"description":"A distributed trace ID used for debugging."},"errors":{"type":["null","array"],"items":{"$ref":"#/components/schemas/ValidationError"},"description":"An array of multiple errors. Only used by some API services."}},"additionalProperties":false,"description":"Represents a PayNow error"},"ValidationError":{"required":["code","message","path","validation"],"type":"object","properties":{"code":{"type":"string","description":"The parseable error code."},"message":{"type":"string","description":"The human-readable error message."},"path":{"type":"string","description":"The path leading to the validation error."},"validation":{"type":"string","description":"Type of the validation that failed."}},"additionalProperties":false,"description":"A validation error."}}},"paths":{"/v1/store/customer/delivery/items":{"get":{"tags":["delivery"],"summary":"Get the customers delivery items","description":"Retrieves the current customers delivery items.","operationId":"StorefrontCustomerDelivery_GetStorefrontCustomerDeliveryItems","parameters":[{"name":"limit","in":"query","description":"The maximum number of items to return in a single request.","schema":{"maximum":100,"minimum":1,"type":"integer","format":"int32"}},{"name":"after","in":"query","description":"Returns items after the specified ID.\nUsed for forward pagination through results.","schema":{"$ref":"#/components/schemas/FlakeId"}},{"name":"before","in":"query","description":"Returns items before the specified ID.\nUsed for backward pagination through results.","schema":{"$ref":"#/components/schemas/FlakeId"}},{"name":"asc","in":"query","description":"Determines the sort order of returned items.\nWhen true, items are returned in ascending order.\nWhen false, items are returned in descending order.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StorefrontDeliveryItemDto"}}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PayNowError"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.paynow.gg/storefront-headless/storefront-api/delivery.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
